%define real_name Class-Gomor-Hash

Summary:	Class::Gomor::Hash - class and object builder, hash version
Name:		perl-%{real_name}
Version:	0.22
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module is yet another class builder. This one adds parameter
checking in constructor, that is to check for attributes
existence, and definedness. Since objects are built as hashes,
this module is suffixed by Hash.  In order to validate
parameters, the module needs to find attributes, and that is the
reason for declaring attributes in global variable names @AS,
@AA, @AO. They respectively state for Attribute Scalar, Attribute
Array and Attribute Other. The last one is used to avoid
autocreation of accessors, that is you put in your own ones.
Attribute validation is performed by looking at classes
hierarchy, by following @ISA tree inheritance.  The loss in speed
by validating all attributes is quite negligeable on a decent
machine (Pentium IV, 2.4 GHz), and with Perl 5.8.x. 

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Class/Gomor
%{perl_vendorlib}/Class/Gomor/Hash.pm
%{_mandir}/*/*


%changelog
* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-2mdv2007.1
+ Revision: 139485
- Import perl-Class-Gomor-Hash



* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-2mdv2007.1
- use the %%mkrel macro

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdk
- initial Mandriva package 
